<div>
    <jhi-alert></jhi-alert>
    <div class="table-responsive" *ngIf="poSKGS">
        <table class="table table-striped">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
                    <th>RM</th>
                    <th>SOR</th>
                    <th>U/.Prd</th>
                    <th>Distributor</th>
                    <th>Alamat</th>
                    <th>Total</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let poSKG of poSKGS ;trackBy: trackId">
                    <td>{{poSKG.rm}}</td>
                    <td>{{poSKG.sor}}</td>
                    <td>{{poSKG.uprd}}</td>
                    <td>{{poSKG.distributor}}</td>
                    <td>{{poSKG.alamat}}</td>
                    <td>{{poSKG.total | number:'1.0-2'}}</td>
                    <td class="text-right">
                        <div class="btn-group flex-btn-group-container">
                            <button type="submit" (click)="todetail(poSKG)" class="btn btn-info btn-sm">
                                <span class="fa fa-eye"></span>
                                <span class="d-none d-md-inline">View</span>
                            </button>
                            <button type="submit" (click)="approve(poSKG)" class="btn btn-primary btn-sm">
                                <span class="fa fa-pencil"></span>
                                <span class="d-none d-md-inline">Approve</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="poSKGS && poSKGS.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)">
            </ngb-pagination>
        </div>
    </div>
</div>